libdancer-perl (1.3400+dfsg-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Fix autopkgtest handling of proxies. (Closes: #907443)

  [ gregor herrmann ]
  * Override proxy environment variables during build as well.
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.2.1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 28 Aug 2018 17:17:38 +0200

libdancer-perl (1.3400+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Damyan Ivanov ]
  * update debian/repack.stub from pkg-perl-tools
  * New upstream version 1.3400+dfsg
  * control:
    + sort dependency lists
    + drop redundant build- and run-time dependencies satisfied in
      oldoldstable
    + update build- and run-time dependencies for the new upstream release
  * claim conformance with Policy 4.2.0 (no changes needed)
  * patch a couple of misspellings in the documentation
  * bump debhelper compatibility level to 11

 -- Damyan Ivanov <dmn@debian.org>  Thu, 09 Aug 2018 20:37:43 +0000

libdancer-perl (1.3202+dfsg-1) unstable; urgency=medium

  * Rename autopkgtest configuration file(s) as per new pkg-perl-
    autopkgtest schema.
  * Import upstream version 1.3202+dfsg.
  * debian/copyright: new Upstream-Contact.
  * Bump debhelper compatibility level to 9.
  * Add new build dependency: libtest-nowarnings-perl.

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Nov 2015 17:25:18 +0100

libdancer-perl (1.3140+dfsg-1) unstable; urgency=medium

  * Import new upstream release 1.3140+dfsg.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Jul 2015 18:40:37 +0200

libdancer-perl (1.3135+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 May 2015 23:05:41 +0200

libdancer-perl (1.3132+dfsg-1) unstable; urgency=medium

  * Import upstream version 1.3132+dfsg.
  * Add libyaml-perl to Build-Depends-Indep and Recommends.

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Oct 2014 21:11:56 +0200

libdancer-perl (1.3130+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * New upstream release.
  * Remove debian/libdancer-perl.docs, TODO was dropped.
  * Add new (build-) dependencies.
  * Explicitly (build-) depend on CGI.pm
  * Update path in debian/copyright.
  * debian/rules: remove empty manpages.
  * Mark package as autopkgtest-able.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Wed, 08 Oct 2014 22:04:03 +0200

libdancer-perl (1.3126+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Wed, 16 Jul 2014 17:15:29 +0200

libdancer-perl (1.3124+dfsg-1) unstable; urgency=medium

  * Update debian/prune.pl: link to minified packaged jQuery.
  * New upstream release.
  * debian/copyright: update third-party information.
  * Drop removed README from debian/libdancer-perl.docs.

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 May 2014 16:40:06 +0200

libdancer-perl (1.3123+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Strip trailing slash from metacpan URLs.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Apr 2014 17:52:21 +0200

libdancer-perl (1.3121+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Feb 2014 21:50:34 +0100

libdancer-perl (1.3120+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 Dec 2013 21:09:55 +0100

libdancer-perl (1.3119+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 Oct 2013 23:12:58 +0100

libdancer-perl (1.3118+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove build dependency on libdancer-session-cookie-perl, which
    depends in libdancer-perl again ...

 -- gregor herrmann <gregoa@debian.org>  Wed, 18 Sep 2013 19:10:45 +0200

libdancer-perl (1.3117+dfsg-2) unstable; urgency=low

  * Build depend on libmime-types-perl >= 1.38. Thanks to Olof Johansson
    for finding the underlying issue and solution. (Closes: #720975)

 -- gregor herrmann <gregoa@debian.org>  Tue, 03 Sep 2013 22:02:44 +0200

libdancer-perl (1.3117+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Make build dependency on libtest-tcp-perl versioned.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Aug 2013 17:49:02 +0200

libdancer-perl (1.3114+dfsg-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Add copyright stanza for debian/repack.stub file

  [ gregor herrmann ]
  * Update debian/repack.stub.
  * New upstream release.
    Fixes "CVE-2012-5572: Cookie name CRLF injection"
    (Closes: #694279)
  * Add (build) dependency on libmodule-runtime-perl.
  * Update years of packaging copyright.
  * Add libclone-perl and libdancer-session-cookie-perl to B-D-I (tests)
    and add some optional packages to Suggests.

 -- gregor herrmann <gregoa@debian.org>  Tue, 04 Jun 2013 23:26:56 +0200

libdancer-perl (1.3110+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove libclone-perl (build) depends
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 08 Oct 2012 10:25:56 +0200

libdancer-perl (1.3100+dfsg-1) unstable; urgency=low

  * New upstream release
  * Move libclone-perl to Depends (from Suggests)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 02 Sep 2012 16:58:42 +0200

libdancer-perl (1.3099+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 15 Aug 2012 18:40:14 +0200

libdancer-perl (1.3098+dfsg-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Alessandro Ghedini ]
  * New upstream release
  * Merge Comment fields in script/dancer copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 01 Aug 2012 12:08:35 +0200

libdancer-perl (1.3095+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 03 Apr 2012 11:34:48 +0200

libdancer-perl (1.3094+dfsg-1) unstable; urgency=low

  * New upstream release
  * Email change: Alessandro Ghedini -> ghedo@debian.org

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Apr 2012 15:39:34 +0200

libdancer-perl (1.3093+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 02 Mar 2012 11:39:40 +0100

libdancer-perl (1.3092+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 27 Jan 2012 19:28:18 +0100

libdancer-perl (1.3091+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove pod-spelling.patch, applied upstream.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Dec 2011 17:09:31 +0100

libdancer-perl (1.3090+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add (build) dependency on libtry-tiny-perl.
  * Refresh pod-spelling.patch, remove fix-bad-whatis-entry.patch

 -- gregor herrmann <gregoa@debian.org>  Wed, 14 Dec 2011 17:50:52 +0100

libdancer-perl (1.3080+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh patch
  * Update NEWS file

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 26 Oct 2011 19:46:39 +0200

libdancer-perl (1.3072+dfsg-1) unstable; urgency=low

  * New upstream release
  * (Build-)Depends(-Indep) on liburi-perl (>= 1.59)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 23 Aug 2011 20:23:01 +0200

libdancer-perl (1.3071+dfsg-1) unstable; urgency=high

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Alessandro Ghedini ]
  * New upstream release
    - Security release, set urgency=high
  * Refresh patches

 -- Alessandro Ghedini <al3xbio@gmail.com>  Tue, 02 Aug 2011 16:13:44 +0200

libdancer-perl (1.3070+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh patch
  * Add fix-bad-whatis-entry patch

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 15 Jul 2011 11:09:20 +0200

libdancer-perl (1.3060+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update spelling patch
  * Add libhttp-parser-xs-perl (>= 0.10) to B-D-I (needed by a test)

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 16 Jun 2011 18:50:24 +0200

libdancer-perl (1.3051+dfsg-1) unstable; urgency=low

  * New upstream release
    - FIX CVE-2011-1589 (Mojolicious report, but Dancer was vulnerable as well).
  * Refresh patch
  * Update NEWS with security fix

 -- Alessandro Ghedini <al3xbio@gmail.com>  Sat, 28 May 2011 15:49:35 +0200

libdancer-perl (1.3050+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh pod-spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 May 2011 01:11:47 +0200

libdancer-perl (1.3040+dfsg-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release

  [ gregor herrmann ]
  * Switch order of alternative (build) dependencies after the perl 5.12
    upload.
  * Refresh pod-spelling.patch (offset).

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 06 May 2011 18:39:11 +0200

libdancer-perl (1.3030+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <al3xbio@gmail.com>  Thu, 14 Apr 2011 18:53:03 +0200

libdancer-perl (1.3020+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release

  [ gregor herrmann ]
  * Add Test::More 0.94 to Suggests, it's used in Dancer::Test.
  * Set Standards-Version to 3.9.2 (no changes).
  * Refresh spelling patch, add another spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Fri, 08 Apr 2011 16:38:54 +0200

libdancer-perl (1.3014+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh pod-spelling.patch.

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Mar 2011 21:28:40 +0100

libdancer-perl (1.3013+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release 1.3012
  * Bump to debhelper compat 8
  * Now requires Test::More 0.94
  * Refresh spelling patch

  [ gregor herrmann ]
  * New upstream release 1.3013.

 -- gregor herrmann <gregoa@debian.org>  Thu, 03 Mar 2011 23:48:19 +0100

libdancer-perl (1.3011+dfsg-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Update years of copyright

  [ gregor herrmann ]
  * Refresh pod-spelling.patch (offset).

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 25 Feb 2011 07:21:13 -0500

libdancer-perl (1.3010+dfsg-1) unstable; urgency=low

  [ Alessandro Ghedini ]
  * New upstream release
  * Add myself to Uploaders
  * Update debian/copyright to latest DEP5 candiate version
  * Add versioned Build-Depends-Indep on libtest-pod-perl

  [ gregor herrmann ]
  * Add note about API changes to debian/NEWS.
  * Source package: replace debian/replace.stub (which was actually repack.sh)
    with our typical repack.stub (which calls repack.sh).
  * Refresh pod-spelling.patch (offset).
  * debian/copyright: add information about new third-party files.
  * Add more spelling fixes to pod-spelling.patch.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 11 Feb 2011 15:02:55 +0100

libdancer-perl (1.2003+dfsg-1) unstable; urgency=low

  * New upstream release
  * Make d/watch match the standard format (consequently, don't
    upgrade/propose upgrades to the development versions)

 -- Jonathan Yu <jawnsy@cpan.org>  Sat, 25 Dec 2010 14:28:51 -0500

libdancer-perl (1.2000+dfsg-1) unstable; urgency=low

  * New upstream release
    Repackaged to avoid shippping uuencoded images (not the preferred format)
    and make use of packaged jquery.js

  * Install examples/*
  * add myself to Uploaders
  * add libjs-jquery to Recommends (used by skeleton application)
  * add a patch fixing a small spelling mistake in POD

 -- Damyan Ivanov <dmn@debian.org>  Tue, 30 Nov 2010 23:41:50 +0200

libdancer-perl (1.1904-1) unstable; urgency=low

  * New upstream release.
  * Add "libxml-parser-perl | libxml-sax-perl, libxml-simple-perl" to
    Build-Depends-Indep and Suggests.

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Nov 2010 22:18:47 +0100

libdancer-perl (1.1901-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Mon, 04 Oct 2010 17:31:39 +0200

libdancer-perl (1.1812-1) unstable; urgency=low

  * New upstream release
  * Added me to Uploaders, updated debian/copyright file

 -- Krzysztof Krzyżaniak (eloy) <eloy@debian.org>  Tue, 21 Sep 2010 16:39:40 +0200

libdancer-perl (1.1809-1) unstable; urgency=low

  [ Jonathan Yu, Iñigo Tejedor Arrondo ]
  * Initial Release (Closes: #569974)

 -- gregor herrmann <gregoa@debian.org>  Sat, 28 Aug 2010 01:32:00 +0200
